# Getting started

### General API Information <a href="#general-api-information" id="general-api-information"></a>

Below we have mentioned the basic details that would help you setup your Dapp on top of Brine:

* The base endpoint is: <https://api.brine.fi/>
* All endpoints return either a JSON object or array.
* All time and timestamp related fields are in milliseconds or default datetime format - “%Y-%m-%d %H:%M:%S”
* Kindly note that you need to create an account on Brine using your ETH wallet before using any of the APIs. Failure to do so might cause inconsistent API responses. This is an important step as this will help us create your username and Brine keys which are needed for accessing Brine’s APIs


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.brine.fi/tech/api-documentation/getting-started.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
